Bug 16394 - Fix formatting of review.tt
Summary: Fix formatting of review.tt
Status: CLOSED INVALID
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 16238 16241 16381
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-29 09:16 UTC by Marc Véron
Modified: 2016-12-05 21:23 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-04-29 09:16:49 UTC
There are a lot of tab chars in
koha-tmpl/intranet-tmpl/prog/en/modules/tags/review.tt 
The file should be re-formatted to replace them following the coding guidelines.
Comment 1 Owen Leonard 2016-05-03 12:34:38 UTC
The staff client templates are full of tab characters, so I don't think we should file bugs for each one. My understanding of the general practice regarding indentation is:

- Always remove tab characters from lines which are changed by your patches.

- If you want to make other changes to whitespace or indentation, submit a separate patch.

Submitting whitespace fixes is always going to create merge problems for pending patches, so we should check http://splitter.koha-community.org for pending patches.

It would be interesting if the splitter tool could show a list of templates which have /no/ patches in the queue. Those would be great candidates for whitespace fix patches.
Comment 2 Katrin Fischer 2016-05-08 12:20:48 UTC
Owen is right stating that we decided a while ago not to clean files globally to avoid conflicts. Tab cleaning is a bit less difficult than perltidy, as it does keep the lines the same and you can use -w to not see whitespace changes.